<?php
/**
 * Copyright since 2025 InPost S.A.
 *
 * For the full license information, please view the LICENSE file bundled with the module.
 *
 * @author InPost S.A.
 * @copyright since 2025 InPost S.A.
 * @license MIT
 */

declare(strict_types=1);

namespace InPost\International\Hook\Event;

if (!defined('_PS_VERSION_')) {
    exit;
}

abstract class AbstractDisplayHook extends AbstractHook
{
    /**
     * @var string
     */
    private $content = '';

    final public function getResult(): string
    {
        return $this->content;
    }

    final public function appendContent(string $content): void
    {
        $this->content .= $content;
    }

    final public function setContent(string $content): void
    {
        $this->content = $content;
    }
}
